import React, { type RefObject } from 'react';
import { type Action } from './action-button';
import type { EditorRef } from './types';
type ActionsContainerProps = {
    copyable: boolean;
    formattable: boolean;
    customActions?: Action[];
    className?: string;
    editorRef: RefObject<EditorRef>;
    onExpand?: () => void;
    expanded?: boolean;
};
export declare const ActionsContainer: ({ copyable, formattable, customActions, className, editorRef, onExpand, expanded, }: ActionsContainerProps) => React.JSX.Element;
export {};
//# sourceMappingURL=actions-container.d.ts.map